<script setup lang="ts">
import { useBranchStore } from '@/Branch/stores/branch'
import { onMounted } from 'vue'
import BranchDialog from '../components/BranchDialog.vue'

const branchStore = useBranchStore()

onMounted(() => {
  branchStore.getAll()
})
</script>

<template>
  <BranchDialog></BranchDialog>
  <v-data-table
    class="h-100"
    fixed-header
    :headers="branchStore.headers"
    :items="branchStore.items"
  >
    <!-- style="background-color: rgba(58, 49, 43, 0.923)" -->
    <!-- :search="search" -->
    <template #top>
      <v-card class="pa-5">
        <v-row>
          <v-col>
            <h2>Branch Management</h2>
          </v-col>
          <v-col cols="1">
            <v-btn @click="branchStore.openDialog()"> NEW </v-btn>
          </v-col>
        </v-row>
      </v-card>
    </template>

    <template #item="{ item }">
      <tr>
        <td>{{ item.id }}</td>
        <td>{{ item.name }}</td>
        <td>{{ item.location }}</td>
        <td>{{ item.createdDate?.toDateString }}</td>
        <td v-if="item.status">เปิดให้บริการ</td>
        <td v-else>ปิดให้บริการ</td>
        <td>
          <v-icon size="small" class="me-2" @click="branchStore.editItem(item)">
            mdi-pencil
          </v-icon>
          <v-icon size="small" @click="branchStore.deleteItem(item)"> mdi-delete </v-icon>
        </td>
      </tr>
    </template>
  </v-data-table>
</template>

<style scoped></style>
